package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.text.DecimalFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Peaje;

public class RenderPedagio implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Peaje p = (Peaje) o;
		
		DecimalFormat df = new DecimalFormat("###,###,##0.00", new java.text.DecimalFormatSymbols(java.util.Locale.US));

		Listcell lc = new Listcell(p.getPejaeId().toString()); //id
		lc.setParent(lstm);

		if (p.getOrigem().getDescparada() != null) {  //origem
			lc = new Listcell(p.getOrigem().getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		if (p.getDestino().getDescparada() != null) { // destino
			lc = new Listcell(p.getDestino().getDescparada());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);
		
		lc = new Listcell(p.getImportePeaje() == null ? "" : df.format(p.getImportePeaje()));  //valor pedagio
        lc.setParent(lstm);
        
        lc = new Listcell(p.getRuta().getNumRuta() == null ? "" :  p.getRuta().getDescruta() ); // linha
        lc.setParent(lstm);
        
        lc = new Listcell(p.getOrgaoConcedente().getDescOrgao() == null ? "" :  p.getOrgaoConcedente().getDescOrgao() );  //orgao
        lc.setParent(lstm);
        
        lc = new Listcell(p.getCasetaPeaje().getCasetaPeajeId() == null ? "" :  p.getCasetaPeaje().getDesccaseta());  //praca pedagio
        lc.setParent(lstm);
        
        lc = new Listcell(p.getIndicePeaje() == null ? "" :  df.format(p.getIndicePeaje()));  //indice peaje orgao
        lc.setParent(lstm);
        
        lc = new Listcell(p.getCantAsientos() == null ? "" :  p.getCantAsientos().toString() );  //praca pedagio
        lc.setParent(lstm);
        
        lc = new Listcell(p.getCantEixos() == null ? "" :  p.getCantEixos().toString() );  //praca pedagio
        lc.setParent(lstm);
        
        lstm.setAttribute("data", p);
        
	}

}
